# Cancel order

**method url**:`/api/third/order/cancelEntrust`

**request type**:`POST`

**content type**：application/x-www-form-urlencoded

**need sign:**`true`

**detail**:

**request param**:

| param\_name | param note | type  | required | data type      | schema |
| ----------- | ---------- | ----- | -------- | -------------- | ------ |
| entrustId   |            | query | true     | integer(int64) |        |
| timestamp   |            | query | true     | string         |        |

**response param**:

| param\_name | param note | type    | schema |
| ----------- | ---------- | ------- | ------ |
| data        | is success | boolean |        |

**example**:

> 1 Set request parameters, query params:

```
entrustId: 178790278
timestamp: 1725696896942
```

> 2 Build the Parameters

```
entrustId=178790278&timestamp=1725696896942
```

> 3 Sign the parameter string format, result:

```
0xf46a4e6efdbc7316d4c31901e12dfff2f156d3c11346fe1f5f2069994be39415746b8fef594a5b93c40c8a50f04986259605635910cac00578fec47629ccf97d1c
```

> 4 Assemble the complete request

```
curl --location --request POST 'https://zk-test.satori.finance/api/third/order/cancelEntrust?entrustId=178790278&timestamp=1725696896942' \
--header 'APIKEY: st_fq6cvRF4fr5tnKiZfrIntRnLfrwxcXjcfr1y8FR7' \
--header 'X-SAPI-SIGN-TYPE: 2' \
--header 'signature: 0xf46a4e6efdbc7316d4c31901e12dfff2f156d3c11346fe1f5f2069994be39415746b8fef594a5b93c40c8a50f04986259605635910cac00578fec47629ccf97d1c' \
--header 'Content-Type: text/plain' \
--data ''
```

> 5 Return results

```
{
  "error": false,
  "code": 200,
  "msg": "SUCCESS",
  "data": true,
  "sid": "1809524350673657857"
}
```

**Error Code**:

| code | msg                                             |
| ---- | ----------------------------------------------- |
| 2103 | Order expired                                   |
| 2125 | The order has been revoked                      |
| 2126 | The order has been completely filled            |
| 2319 | Failed to cancel order:{param0}                 |
| 2329 | The server is updating, please wait a moment... |
